
Redmine - Defect #15857

Error viewing certain issues - ActionView::Template::Error (incompatible character encodings: UTF-8

and ASCII-8BIT)

2014-01-13 03:31 - Ruben van E

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When viewing specific issues I'm getting an Internal Error message. Checking the production.log file it gives me the following error:

Started GET "/issues/23" for 76.173.208.56 at 2014-01-12 20:44:55 -0500

Processing by IssuesController#show as HTML

Parameters: {"id"=>"23"}

Current user: Ruben (id=3)

Rendered issues/_action_menu.html.erb (5.3ms)

Rendered issues/show.html.erb within layouts/base (78.7ms)

Completed 500 Internal Server Error in 153ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

78:

79:   <p><strong><%=l(:field_description)%></strong></p>

80:   <div class="wiki">

81:   <%= textilizable @issue, :description, :attachments => @issue.attachments >

82:   </div>

83: </div>

84: < end %>

app/views/issues/show.html.erb:81:in `_app_views_issues_show_html_erb__2242756398372498208_70142826780600'

app/controllers/issues_controller.rb:124:in `block (2 levels) in show'

app/controllers/issues_controller.rb:121:in `show'

This only happens with some specific issues, probably ones containing special characters (guessing).

The MySql database collation is set to UTF-8. I read some similar bug reports here, some of which stating that switching to the

mysql2 adapter would solve it. I was indeed using the old mysql connector and switched to mysql2 (as you can see in the report

below). After this change I cleared the cache and sessions, but the problem persists.

This is my environment info:

Environment:

Redmine version                2.3.3.devel

Ruby version                   2.0.0-p353 (2013-11-22) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.1

Filesystem

Redmine plugins:

no plugin installed

History

#1 - 2014-01-13 04:39 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
You need to convert.

http://www.redmine.org/boards/2/topics/35979?r=36082#message-36082
